
fixed_models_core = {
    '4players' : {
        'sweep_name' : 'jumping-sweep-9',
        'config'     : {'hidden_size' : 256, 'dropout' : 0.3},
        'n_players'  : 4,
    },
    '20players' : {
        'sweep_name' : 'leafy-sweep-49',
        'config'     : {'hidden_size' : 256, 'dropout' : 0.5},
        'n_players'  : 20
    },
}

var_models_core = {
    '4to10play_20padding' : { # with dropout
        'sweep_name' : 'confused-sweep-21',
        'config'     : {'hidden_size' : 284, 'dropout' : 0.1},
        'n_players'  : 20, # Maximum number of players (output size)
    },
}


fixed_models_shapley = {
    '4players' : {
        'sweep_name' : 'true-sweep-49',
        'config'     : {'hidden_size' : 128, 'n_layers' : 2, 'dropout': 0 },
        'n_players'  : 4,
    },
    '5players' : {
        'sweep_name' : 'leafy-sweep-10',
        'config'     : {'hidden_size' : 128, 'n_layers' : 4, 'dropout': 0, },
        'n_players'  : 5
    },
    '6players' : {
        'sweep_name' : 'elated-sweep-28',
        'config'     : {'hidden_size' : 128, 'n_layers' : 4, 'dropout': 0, },
        'n_players'  : 6
    },
    '7players' : {
        'sweep_name' : 'glowing-sweep-10',
        'config'     : {'hidden_size' : 256, 'n_layers' : 1, 'dropout': 0, },
        'n_players'  : 7
    },
    '8players' : {
        'sweep_name' : 'misty-sweep-21',
        'config'     : {'hidden_size' : 128, 'n_layers' : 1, 'dropout': 0, },
        'n_players'  : 8
    },
    '9players' : {
        'sweep_name' : 'unique-sweep-30',
        'config'     : {'hidden_size' : 128, 'n_layers' : 8, 'dropout': 0, },
        'n_players'  : 9
    },
    '10players' : {
        'sweep_name' : 'zesty-sweep-18',
        'config'     : {'hidden_size' : 128, 'n_layers' : 8, 'dropout': 0, },
        'n_players'  : 10
    },
    '11players' : {
        'sweep_name' : 'azure-sweep-22',
        'config'     : {'hidden_size' : 128, 'n_layers' : 4, 'dropout': 0, },
        'n_players'  : 11 
    },
    '12players' : {
        'sweep_name' : 'rural-sweep-16',
        'config'     : {'hidden_size' : 256, 'n_layers' : 4, 'dropout': 0, },
        'n_players'  : 12
    },
    '13players' : {
        'sweep_name' : 'cerulean-sweep-23',
        'config'     : {'hidden_size' : 6, 'n_layers' : 1, 'dropout': 0, },
        'n_players'  : 13
    },
    '14players' : {
        'sweep_name' : 'vibrant-sweep-1',
        'config'     : {'hidden_size' : 256, 'n_layers' : 2, 'dropout': 0, },
        'n_players'  : 14
    },
    '15players' : {
        'sweep_name' : 'fluent-sweep-36',
        'config'     : {'hidden_size' : 256, 'n_layers' : 2, 'dropout': 0, },
        'n_players'  : 15
    },
    '16players' : {
        'sweep_name' : 'silvery-sweep-12',
        'config'     : {'hidden_size' : 256 , 'n_layers' :4, 'dropout': 0, },
        'n_players'  : 16
    },
    '17players' : {
        'sweep_name' : 'astral-sweep-20',
        'config'     : {'hidden_size' : 256, 'n_layers' : 2, 'dropout': 0, },
        'n_players'  : 17
    },
    '18players' : {
        'sweep_name' : 'fragrant-sweep-44',
        'config'     : {'hidden_size' : 256, 'n_layers' : 2, 'dropout': 0, },
        'n_players'  : 18
    },
    '19players' : {
        'sweep_name' : 'efficient-sweep-3',
        'config'     : {'hidden_size' : 256, 'n_layers' : 2, 'dropout': 0, },
        'n_players'  : 19
    },
    '20players' : {
        'sweep_name' : 'misty-sweep-16',
        'config'     : {'hidden_size': 256, 'n_layers' : 2, 'dropout': 0, },
        'n_players'  : 20
    },
}

var_models_shapley = {
    '4to10play_20padding' : { # This model is trained on 4 to 10 players
         'sweep_name' : 'lyric-sweep-30',
         'config'     : {'hidden_size' : 128, 'n_layers' : 4, 'dropout': 0, },
         'seq_len'    : 20, # Maximum number of players (output size)
    },    
}

fixed_models_banzhaf = { 
    '4players' : {
        'sweep_name' : 'worldly-sweep-2',
        'config'     : {'hidden_size' : 128, 'n_layers' : 2, 'dropout': 0 },
        'n_players'  : 4,
    },
    '5players' : {
        'sweep_name' : 'curious-sweep-68',
        'config'     : {'hidden_size' : 128, 'n_layers' : 4, 'dropout': 0, },
        'n_players'  : 5
    },
    '6players' : {
        'sweep_name' : 'ruby-sweep-36',
        'config'     : {'hidden_size' : 256, 'n_layers' : 2, 'dropout': 0, },
        'n_players'  : 6
    },
    '7players' : {
        'sweep_name' : 'dutiful-sweep-8',
        'config'     : {'hidden_size' : 128, 'n_layers' : 2, 'dropout': 0, },
        'n_players'  : 7
    },
    '8players' : {
        'sweep_name' : 'sparkling-sweep-32',
        'config'     : {'hidden_size' : 128, 'n_layers' : 1, 'dropout': 0, },
        'n_players'  : 8
    },
    '9players' : {
        'sweep_name' : 'pleasant-sweep-42',
        'config'     : {'hidden_size' : 128, 'n_layers' : 1, 'dropout': 0, },
        'n_players'  : 9
    },
    '10players' : {
        'sweep_name' : 'floral-sweep-66',
        'config'     : {'hidden_size' : 256, 'n_layers' : 2, 'dropout': 0, },
        'n_players'  : 10
    },
    '11players' : {
        'sweep_name' : 'solar-sweep-36',
        'config'     : {'hidden_size' : 64, 'n_layers' : 1, 'dropout': 0, },
        'n_players'  : 11 
    },
    '12players' : {
        'sweep_name' : 'glorious-sweep-1',
        'config'     : {'hidden_size' : 256, 'n_layers' : 4, 'dropout': 0, },
        'n_players'  : 12
    },
    '13players' : {
        'sweep_name' : 'olive-sweep-69',
        'config'     : {'hidden_size' : 128, 'n_layers' : 2, 'dropout': 0, },
        'n_players'  : 13
    },
    '14players' : {
        'sweep_name' : 'brisk-sweep-22',
        'config'     : {'hidden_size' : 128, 'n_layers' : 1, 'dropout': 0, },
        'n_players'  : 14
    },
    '15players' : {
        'sweep_name' : 'sunny-sweep-44',
        'config'     : {'hidden_size' : 256, 'n_layers' : 8, 'dropout': 0, },
        'n_players'  : 15
    },
    '16players' : {
        'sweep_name' : 'golden-sweep-35',
        'config'     : {'hidden_size' : 256, 'n_layers' : 2, 'dropout': 0, },
        'n_players'  : 16
    },
    '17players' : {
        'sweep_name' : 'wild-sweep-52',
        'config'     : {'hidden_size' : 256, 'n_layers' : 2, 'dropout': 0, },
        'n_players'  : 17
    },
    '18players' : {
        'sweep_name' : 'fancy-sweep-56',
        'config'     : {'hidden_size' : 64, 'n_layers' : 1, 'dropout': 0, },
        'n_players'  : 18
    },
    '19players' : {
        'sweep_name' : 'misty-sweep-63',
        'config'     : {'hidden_size' : 256, 'n_layers' : 4, 'dropout': 0, },
        'n_players'  : 19
    },
    '20players' : {
        'sweep_name' : 'misty-sweep-16',
        'config'     : {'hidden_size' : 256, 'n_layers' : 2, 'dropout': 0, },
        'n_players'  : 20
    },
}

var_models_banzhaf = {
    '4to10play_20padding' : { # This model is trained on 4 to 10 players
         'sweep_name' : 'dainty-sweep-63',
         'config'     : {'hidden_size' : 256, 'n_layers' : 1, 'dropout': 0},
         'seq_len'    : 20, # Maximum number of players (output size)
    },    
}